## soapyredpitaya 0.1.0

=== CMakeLists.txt ===
########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 2.6)
project(SoapyRedPitaya CXX)
enable_testing()

#select the release build type by default to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Release")
    message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")

########################################################################
# build the module
########################################################################
find_package(SoapySDR CONFIG)

if (NOT SoapySDR_FOUND)
    message(WARNING "SoapySDR development files not found - skipping support")
    return()
endif ()

SOAPY_SDR_MODULE_UTIL(
    TARGET RedPitaya
    SOURCES SoapyRedPitaya.cpp
)

=== debian/changelog ===
soapyredpitaya (0.1.0-2) unstable; urgency=medium

  * Change SoapySDR ABI version in package names and dependencies from 0.5-2
    to 0.6
  * Build-Depend on versioned libsoapysdr0.6-dev instead of libsoapysdr-dev
  * Bump Standards-Version to 4.0.1, no changes required

 -- Andreas Bombe <aeb@debian.org>  Mon, 07 Aug 2017 16:40:19 -0400

soapyredpitaya (0.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #847796)

 -- Andreas Bombe <aeb@debian.org>  Mon, 12 Dec 2016 01:07:19 +0100

=== debian/control ===
Source: soapyredpitaya
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Andreas Bombe <aeb@debian.org>
Build-Depends:
    debhelper (>= 10),
    cmake,
    libsoapysdr0.6-dev
Standards-Version: 4.0.1
Homepage: https://github.com/pothosware/SoapyRedPitaya/wiki
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/soapyredpitaya.git
Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/soapyredpitaya.git

Package: soapysdr0.6-module-redpitaya
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: soapysdr0.6-module
Description: RedPitaya device support for SoapySDR
 The Soapy Red Pitaya project provides a SoapySDR hardware support module.
 Using this, any program using SoapySDR to interface to software
 defined radio hardware can make use of the Red Pitaya HF channels to
 transmit and receive.

Package: soapysdr-module-redpitaya
Architecture: any
Multi-Arch: same
Depends: soapysdr0.6-module-redpitaya, ${misc:Depends}
Description: RedPitaya device support for SoapySDR (default version)
 The Soapy Red Pitaya project provides a SoapySDR hardware support module.
 Using this, any program using SoapySDR to interface to software
 defined radio hardware can make use of the Red Pitaya HF channels to
 transmit and receive.
 .
 This is an empty dependency package that pulls in the Red Pitaya module
 for the default version of libsoapysdr.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

override_dh_installdocs:
	dh_installdocs --link-doc=soapysdr0.6-module-redpitaya

## soapyredpitaya 0.1.1

=== debian/changelog ===
soapyredpitaya (0.1.1-5) unstable; urgency=medium

  * Adapt d/watch to GitHub changes
  * Bump Standards-Version to 4.6.2, no changes required

 -- Andreas Bombe <aeb@debian.org>  Thu, 07 Sep 2023 23:59:23 +0530

soapyredpitaya (0.1.1-4) unstable; urgency=medium

  * Upload to unstable

 -- Andreas Bombe <aeb@debian.org>  Tue, 07 Sep 2021 01:27:00 +0200

soapyredpitaya (0.1.1-3) experimental; urgency=low

  [ Andreas Bombe ]
  * Change SoapySDR ABI version in package names and dependencies from 0.7
    to 0.8
  * Increase debhelper compat level to 13
  * Add Rules-Requires-Root field to d/control
  * Bump Standards-Version to 4.6.0, no changes required

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Bombe <aeb@debian.org>  Thu, 26 Aug 2021 22:45:09 +0200

soapyredpitaya (0.1.1-2) unstable; urgency=medium

  * Upload to unstable
  * Bump Standards-Version to 4.4.1, no changes required

 -- Andreas Bombe <aeb@debian.org>  Sun, 20 Oct 2019 17:34:32 +0200

soapyredpitaya (0.1.1-1) experimental; urgency=medium

  * New upstream version 0.1.1
  * Change SoapySDR ABI version in package names and dependencies from 0.6
    to 0.7
  * Switch Vcs-* headers over to repositories on salsa.debian.org
  * Increase debhelper compat level to 12
  * Bump Standards-Version to 4.4.0, no changes required

 -- Andreas Bombe <aeb@debian.org>  Mon, 23 Sep 2019 22:44:27 +0200

=== debian/control ===
Source: soapyredpitaya
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Andreas Bombe <aeb@debian.org>
Build-Depends:
    debhelper-compat (= 13),
    cmake,
    libsoapysdr0.8-dev
Standards-Version: 4.6.2
Homepage: https://github.com/pothosware/SoapyRedPitaya/wiki
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyredpitaya
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyredpitaya.git
Rules-Requires-Root: no

Package: soapysdr0.8-module-redpitaya
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: soapysdr0.8-module
Description: RedPitaya device support for SoapySDR
 The Soapy Red Pitaya project provides a SoapySDR hardware support module.
 Using this, any program using SoapySDR to interface to software
 defined radio hardware can make use of the Red Pitaya HF channels to
 transmit and receive.

Package: soapysdr-module-redpitaya
Architecture: any
Multi-Arch: same
Depends: soapysdr0.8-module-redpitaya, ${misc:Depends}
Description: RedPitaya device support for SoapySDR (default version)
 The Soapy Red Pitaya project provides a SoapySDR hardware support module.
 Using this, any program using SoapySDR to interface to software
 defined radio hardware can make use of the Red Pitaya HF channels to
 transmit and receive.
 .
 This is an empty dependency package that pulls in the Red Pitaya module
 for the default version of libsoapysdr.

=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,4 @@
 	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"
 
 override_dh_installdocs:
-	dh_installdocs --link-doc=soapysdr0.6-module-redpitaya
+	dh_installdocs --link-doc=soapysdr0.8-module-redpitaya

=== debian/watch ===
version=4
https://github.com/pothosware/SoapyRedPitaya/tags .*/soapy-redpitaya-([\d\.]+)\.tar\.(?:xz|gz|bz2)
